import classes from '././firstView.module.css';

const selectChange = (e) =>{
    if(e.target.value === 'en'){
        e.target.style = "width: 85px; left: 25%";
    }
    if(e.target.value === 'az'){
        e.target.style = "width: 110px";
    }
    if(e.target.value === 'ru'){
        e.target.style = "width: 85px; left: 25%";
    }
}
const FirstView = () =>{
    const icon = <svg width="130" height="33" viewBox="0 0 130 33" fill="none" xmlns="http://www.w3.org/2000/svg">
    <g clip-path="url(#clip0)">
    <path d="M54.7557 7.70703V27.1511H50.3769V19.3714H42.3422V27.1511H37.9634V7.70703H42.3422V15.2121H50.3769V7.70703H54.7557Z" fill="white"/>
    <path d="M71.2467 20.0239C71.2467 17.9086 70.5437 16.1086 69.1476 14.6646C67.7516 13.2205 65.9539 12.4883 63.7946 12.4883C61.6754 12.4883 59.8576 13.2307 58.4013 14.6747C56.9451 16.129 56.2119 17.929 56.2119 20.0239C56.2119 21.0713 56.3927 22.0374 56.7542 22.9323C57.1158 23.8273 57.6682 24.6408 58.4013 25.3629C59.8576 26.8171 61.6754 27.5493 63.7946 27.5493C66.2652 27.5493 68.2538 26.7052 69.7201 25.0374C70.3227 24.3154 70.7947 23.4713 71.1061 22.5256L71.1663 22.3527H66.7774L66.7573 22.3934C66.6067 22.6781 66.4058 22.9425 66.1547 23.1561C65.5019 23.6747 64.7085 23.9391 63.8046 23.9391C62.9911 23.9391 62.258 23.634 61.6252 23.0239C61.0427 22.4646 60.6611 21.7832 60.5004 20.99H71.2567V20.0239H71.2467ZM60.6611 18.3561C60.872 17.7459 61.2436 17.2171 61.7458 16.79C62.3082 16.3222 62.9911 16.0883 63.7946 16.0883C64.598 16.0883 65.281 16.3323 65.8334 16.8001C66.3355 17.2273 66.667 17.7459 66.8276 18.3459H60.6611V18.3561Z" fill="white"/>
    <path d="M87.045 16.973C86.7336 16.0578 86.2616 15.2544 85.649 14.573C84.4036 13.19 82.8469 12.4883 81.009 12.4883C79.7736 12.4883 78.6388 12.8646 77.6344 13.6171C77.2829 13.912 76.9716 14.2171 76.7205 14.5323V12.8951H72.6128V32.3493H76.7205V25.5154C76.9816 25.8307 77.293 26.1459 77.6445 26.4408C78.6388 27.1832 79.7736 27.5696 81.009 27.5696C82.8469 27.5696 84.4136 26.8679 85.649 25.4849C86.8843 24.1018 87.517 22.2713 87.517 20.034C87.507 18.9052 87.3563 17.8883 87.045 16.973ZM80.0649 16.0985C81.009 16.0985 81.7622 16.434 82.3648 17.1357C82.9674 17.8273 83.2687 18.8035 83.2687 20.034C83.2687 21.2646 82.9674 22.2408 82.3648 22.9323C81.7622 23.6239 81.009 23.9696 80.0649 23.9696C79.0706 23.9696 78.2571 23.6239 77.6545 22.9425C77.0318 22.2612 76.7205 21.2849 76.7205 20.034C76.7205 18.7934 77.0318 17.8171 77.6545 17.1256C78.2672 16.4442 79.0706 16.0985 80.0649 16.0985Z" fill="white"/>
    <path d="M99.4884 12.8951V14.5323C99.2273 14.2171 98.9159 13.912 98.5644 13.6171C97.5701 12.8646 96.4353 12.4883 95.1999 12.4883C93.362 12.4883 91.8053 13.19 90.5599 14.573C89.3246 15.9561 88.6919 17.7866 88.6919 20.0239C88.6919 21.1425 88.8526 22.1595 89.1639 23.0646C89.4753 23.9798 89.9373 24.7832 90.5599 25.4747C91.7953 26.8578 93.362 27.5595 95.1999 27.5595C96.4353 27.5595 97.5701 27.1832 98.5745 26.4307C98.9159 26.1357 99.2273 25.8307 99.4884 25.5154V27.1527H103.596V12.8951H99.4884ZM93.1612 18.3764C93.3118 17.8883 93.5428 17.4713 93.834 17.1256C94.4366 16.434 95.1899 16.0883 96.144 16.0883C97.1282 16.0883 97.9417 16.434 98.5544 17.1154C99.1771 17.7968 99.4884 18.773 99.4884 20.0239C99.4884 21.2747 99.1771 22.2408 98.5644 22.9323C97.9518 23.6137 97.1383 23.9493 96.154 23.9493C95.1999 23.9493 94.4467 23.6137 93.8441 22.912C93.2415 22.2205 92.9402 21.2442 92.9402 20.0137C92.9402 19.4137 93.0105 18.8646 93.1612 18.3764Z" fill="white"/>
    <path d="M114.945 12.6211V16.638H112.756C111.781 16.638 111.018 16.9024 110.486 17.4211C109.954 17.9397 109.682 18.6719 109.682 19.6075V27.1533H105.575V12.8957H109.682V14.6347C109.833 14.3397 110.034 14.0753 110.265 13.8414C111.028 13.0279 112.002 12.6211 113.157 12.6211H114.945Z" fill="white"/>
    <path d="M125.892 7.70703V14.5308C125.631 14.2155 125.32 13.9104 124.968 13.6155C123.974 12.863 122.839 12.4867 121.604 12.4867C119.766 12.4867 118.199 13.1884 116.964 14.5714C115.728 15.9545 115.096 17.785 115.096 20.0223C115.096 21.1409 115.256 22.1579 115.558 23.063C115.869 23.9782 116.341 24.7816 116.954 25.4731C118.189 26.8562 119.756 27.5579 121.594 27.5579C122.829 27.5579 123.954 27.1816 124.958 26.4291C125.3 26.1341 125.611 25.8291 125.872 25.5138V27.1511H129.98V7.70703H125.892ZM119.565 18.3748C119.716 17.8867 119.947 17.4697 120.238 17.124C120.84 16.4325 121.594 16.0867 122.548 16.0867C123.532 16.0867 124.346 16.4325 124.958 17.1138C125.571 17.7952 125.892 18.7714 125.892 20.0223C125.892 21.2731 125.581 22.2392 124.968 22.9308C124.356 23.6121 123.542 23.9477 122.558 23.9477C121.604 23.9477 120.85 23.6121 120.248 22.9104C119.645 22.2189 119.344 21.2426 119.344 20.0121C119.344 19.4121 119.414 18.863 119.565 18.3748Z" fill="white"/>
    <path d="M6.7792 0H0V5.84746H6.7792V0Z" fill="#D9D9D9"/>
    <path d="M6.7792 15.1026L14.3518 18.1941V10.7907L6.7792 7.69922H0V27.1433L14.3518 33.0009V25.5975L6.7792 22.506V15.1026Z" fill="#D9D9D9"/>
    <path d="M28.6938 0H21.9146V5.84746H28.6938V0Z" fill="white"/>
    <path d="M21.9141 15.1026L14.3516 18.1941V10.7907L21.9141 7.69922H28.6933V27.1433L14.3516 33.0009V25.5975L21.9141 22.506V15.1026Z" fill="white"/>
    </g>
    <defs>
    <clipPath id="clip0">
    <rect width="130" height="33" fill="white"/>
    </clipPath>
    </defs>
    </svg>
    
    return ( 
    <div className = {classes.FirstView}>
        
        <div className = {classes.Top}>
            <img src = "./images/icon.png" className = {classes.TopIcon} />
            <div className = {classes.Info}>
                <div className = {classes.TopContact}>
                    <img src = "./images/phone.png" className = {classes.TopPhoneIcon}/>
                    <p className = {classes.Number}>+994 50 5555555</p>
                </div>
                <div className = {classes.TopLanguage}>
                    <select className = {classes.TopLanguageSelect} onChange = {selectChange}>
                        <option className = {classes.TopLanguageOption} value = 'en'>English</option>
                        <option className = {classes.TopLanguageOption} selected value = 'az'>Azerbaijan</option>
                        <option className = {classes.TopLanguageOption} value = 'ru'>Russian</option>
                    </select>
                </div>
                <button className = {classes.TopBtnJoinUs}>Join us</button>
                <a type='button' className = {classes.MobileMenuIcon}><img src = "./images/menuicon.svg" /></a>
            </div>
        </div>
        <div className = {classes.About}>
            <h1 className = {classes.AboutSite}>We are Top Courier & Delivery Service in Worldwide</h1>
            <p className = {classes.AboutP}>
            Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry's standard dummy text ever since the 1500s, when an unknown printer took a galley of type and scrambled it to make a type specimen book. 
            </p>
            <button type = "button" className = {classes.BtnJoinUs}>Join us<img className={classes.ArrowRight} src = "./images/arrow-right.svg" /></button>
        </div>
            <img src = "./images/laptop.png" className = {classes.Laptop}/>
            <img src = "./images/laptopMobile.png" className = {classes.LaptopMobile}/>
    </div> );
    
} 
 
export default FirstView;